aboutsummaryrefslogtreecommitdiff
path: root/ansible/roles/borg-client/templates/bin/tergum-post
diff options
context:
space:
mode:
Diffstat (limited to 'ansible/roles/borg-client/templates/bin/tergum-post')
-rw-r--r--ansible/roles/borg-client/templates/bin/tergum-post18
1 files changed, 18 insertions, 0 deletions
diff --git a/ansible/roles/borg-client/templates/bin/tergum-post b/ansible/roles/borg-client/templates/bin/tergum-post
new file mode 100644
index 0000000..647bf5b
--- /dev/null
+++ b/ansible/roles/borg-client/templates/bin/tergum-post
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -euo pipefail
+
+cd /
+
+instance=$1; shift
+
+/usr/sbin/sendmail -t <<ERRMAIL
+To: $1
+From: systemd <root@$HOSTNAME>
+Subject: Backup @ $HOSTNAME
+Content-Transfer-Encoding: 8bit
+Content-Type: text/plain; charset=UTF-8
+
+$(systemctl status --full 2>&1)
+$(journalctl --since today --unit tergum@$instance 2>&1)
+ERRMAIL